<div class="jumbotron" style="text-align:center">
  <h1>{{ title }}</h1>

  <div class="row">
    <div class="col-sm-12">
      &nbsp;
    </div>
  </div>

  <div class="row">
    <div class="col-sm-12">
      <div [hidden]="!error" class="alert alert-danger">
        <div *ngIf="error" style="text-align:center; ">{{errorMessage}}</div>
      </div>
      <div [hidden]="!motorError" class="alert alert-danger">
        <div *ngIf="motorError" style="text-align:center; ">{{motorErrorMessage}}</div>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-sm-2 offset-sm-4">
      <a style="font-size:20px;">Motor Status:</a>
    </div>
    <div class="col-sm-1">
      <a *ngIf="!motorStatus" style="font-size:20px; color:red; padding-left: 50px; padding-right: 50px">OFF</a>
      <a *ngIf="motorStatus" style="font-size:20px; color:greenyellow; padding-left: 50px; padding-right: 50px">ON</a>
    </div>
  </div>

  <div class="row">
    <div class="col-sm-12">
      &nbsp;
    </div>
  </div>

  <div class="row" *ngIf="loggedIn">
    <div class="col-sm-2 offset-sm-4">
      <a style="font-size:20px;">Motor Switch:</a>
    </div>
    <div class="col-sm-1">
      <button type="button" class="{{motorStatus? 'btn btn-lg btn-success':'btn btn-lg btn-danger'}}" style="padding-left: 50px; padding-right: 50px" (click)="switchMotor()">{{motorStatus? 'ON':'OFF'}}</button>
    </div>
  </div>

  <div class="row">
    <div class="col-sm-12">
      &nbsp;
    </div>
  </div>

  <div class="row">
    <div class="col-sm-4 offset-sm-1">
      <fusioncharts
        width="300"
        height="525"
        type="cylinder"
        [dataSource]="roofTank">
      </fusioncharts>
    </div>
    <div class="col-sm-4 offset-sm-1">
      <fusioncharts
        width="300"
        height="425"
        type="cylinder"
        [dataSource]="groundTank">
      </fusioncharts>
    </div>
  </div>  
</div>